Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw
Class CatalogueService

    java.lang.Object
      org.deegree.ogcwebservices.csw.CatalogueService

All Implemented Interfaces:
  OGCWebService

    public class CatalogueService

extends Object
implements OGCWebService

The Catalogue Service class provides the foundation for an OGC catalogue service. The Catalogue Service class directly includes only the serviceTypeID attribute. In most cases, this attribute will not be directly visible to catalogue clients.

The catalog service is an implementation of the OpenGIS Catalogue Service Specification 2.0.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Torsten Friebe , Markus Schneider , last edited by: $Author: mschneider $
See Also:
  OGC Specification

Method Summary
`static CatalogueService` | `create(CatalogueConfiguration config)` Creates a new `CatalogService` instance.
`Object` | `doService(OGCWebServiceRequest request)` Method for event based request processing.
`OGCCapabilities` | `getCapabilities()` Returns the OGC-capabilities of the service.
`Discovery` | `getDiscovery()`
`Manager` | `getManager(String version)`
`String` | `getServiceTypeId()` Returns the service type (CSW).
`String` | `getVersion()`
`void` | `releaseManager(String version, Manager manager)` This method can be used to release the manager back into the pool of managers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static final CatalogueService create(CatalogueConfiguration config)
                                         throws OGCWebServiceException

  Creates a new `CatalogService` instance.

  Parameters:
    `config` -
  Returns:
    new `CatalogService` instance.
  Throws:
    `OGCWebServiceException`

### getCapabilities

    public OGCCapabilities getCapabilities()

  Returns the OGC-capabilities of the service.

  Specified by:
    `getCapabilities` in interface `OGCWebService`
  Returns:
    the OGC-capabilities of the service.
  To do:
    analyze incoming request! return only requested sections

### getServiceTypeId

    public String getServiceTypeId()

  Returns the service type (CSW).

  Returns:
    the service type (CSW).

### getVersion

    public String getVersion()

  Returns:
    Version

### doService

    public Object doService(OGCWebServiceRequest request)
                     throws OGCWebServiceException

  Method for event based request processing.

  Specified by:
    `doService` in interface `OGCWebService`
  Parameters:
    `request` - request object containing the request
  Returns:
    an Object which may be one of the following
    - DescribeRecordResult
    - GetRecordResult
    - GetRecordByIdResult
    - TransactionResult
    - EchoRequest
    - OGCCapabilities
  Throws:
    `OGCWebServiceException`
  To do:
    validation of requested version against accepted versions, return type

### getDiscovery

    public Discovery getDiscovery()

  Returns:
    Returns the discovery.

### releaseManager

    public void releaseManager(String version,
                               Manager manager)

  This method can be used to release the manager back into the pool of managers. If either version or manager is `null` this method returns.

  Parameters:
    `version` - this manager is created for
    `manager` - to be released.

### getManager

    public Manager getManager(String version)
                       throws OGCWebServiceException

  Parameters:
    `version` - to get a manager for.
  Returns:
    the manager.
  Throws:
    `OGCWebServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org